# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kde-i18n-sl
Summary:	Slovenian language support for KDE
Version:    3.4.2
Release:    10mdk
Group:		System/Internationalization
License:	GPL
URL:		http://www.kde.org/
Icon:		kde-icon.xpm

Source0:	%name-%version.tar.bz2

BuildRoot:	%_tmppath/%name-%version-%release-buildroot
Requires:	locales-sl, kdelibs >= 3.0.3
BuildArch:	noarch
Obsoletes:	kde-i18n-sl3
Provides:	kde-i18n-sl3
BuildRequires:	freetype2 gettext kdelibs-devel texinfo

%if %mdkversion >= 200600
Provides:	kde-l10n
%endif
%description

Slovenian language support for KDE.

%prep
%setup -q

%build
%configure

make clean
%make

%install
rm -fr %buildroot
%makeinstall_std

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/sl/
%dir %_docdir/HTML/sl/common/
%doc %_docdir/HTML/sl/common/fdl-license
%doc %_docdir/HTML/sl/common/gpl-license
%doc %_docdir/HTML/sl/common/*.css
%doc %_docdir/HTML/sl/common/*.dcl
%doc %_docdir/HTML/sl/common/*.html
%doc %_docdir/HTML/sl/common/*.png
%doc %_docdir/HTML/sl/common/kde-localised.css.template
%doc %_docdir/HTML/sl/common/lgpl-license


#
#
%dir %_docdir/HTML/sl/kaddressbook/
%doc %_docdir/HTML/sl/kaddressbook/common
%doc %_docdir/HTML/sl/kaddressbook/*.docbook
%doc %_docdir/HTML/sl/kaddressbook/*.bz2
#
%dir %_docdir/HTML/sl/kdeprint/
%doc %_docdir/HTML/sl/kdeprint/*.docbook
#
%dir %_docdir/HTML/sl/kcontrol/
%doc %_docdir/HTML/sl/kcontrol/common
%doc %_docdir/HTML/sl/kcontrol/*.docbook
%doc %_docdir/HTML/sl/kcontrol/*.png
%doc %_docdir/HTML/sl/kcontrol/*.bz2
#
#
#
#


#
%dir %_docdir/HTML/sl/kdesu/
%doc %_docdir/HTML/sl/kdesu/common
%doc %_docdir/HTML/sl/kdesu/*.docbook
%doc %_docdir/HTML/sl/kdesu/*.bz2
#
#
%dir %_docdir/HTML/sl/kdm/
%doc %_docdir/HTML/sl/kdm/common
%doc %_docdir/HTML/sl/kdm/*.docbook
%doc %_docdir/HTML/sl/kdm/*.bz2
#
#
#
%dir %_docdir/HTML/sl/khelpcenter/
%doc %_docdir/HTML/sl/khelpcenter/common
%doc %_docdir/HTML/sl/khelpcenter/*.css
%doc %_docdir/HTML/sl/khelpcenter/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/*.html
%doc %_docdir/HTML/sl/khelpcenter/*.png
%doc %_docdir/HTML/sl/khelpcenter/*.xpm
%doc %_docdir/HTML/sl/khelpcenter/*.bz2
#
%dir %_docdir/HTML/sl/khelpcenter/glossary/
%doc %_docdir/HTML/sl/khelpcenter/glossary/*.docbook

%dir %_docdir/HTML/sl/khelpcenter/faq/
%doc %_docdir/HTML/sl/khelpcenter/faq/*.docbook

%dir %_docdir/HTML/sl/khelpcenter/visualdict/
%doc %_docdir/HTML/sl/khelpcenter/visualdict/*.png

#
%dir %_docdir/HTML/sl/khelpcenter/userguide/
%doc %_docdir/HTML/sl/khelpcenter/userguide/common
%doc %_docdir/HTML/sl/khelpcenter/userguide/*.docbook
%doc %_docdir/HTML/sl/khelpcenter/userguide/*.bz2
#
#
%dir %_docdir/HTML/sl/kfind/
%doc %_docdir/HTML/sl/kfind/common
%doc %_docdir/HTML/sl/kfind/*.docbook
%doc %_docdir/HTML/sl/kfind/*.bz2
#

%dir %_docdir/HTML/sl/kioslave/
%doc %_docdir/HTML/sl/kioslave/*.docbook
#
#
%dir %_docdir/HTML/sl/kpackage/
%doc %_docdir/HTML/sl/kpackage/common
%doc %_docdir/HTML/sl/kpackage/*.docbook
%doc %_docdir/HTML/sl/kpackage/*.bz2
#
%dir %_docdir/HTML/sl/kppp/
%doc %_docdir/HTML/sl/kppp/common
%doc %_docdir/HTML/sl/kppp/*.docbook
%doc %_docdir/HTML/sl/kppp/*.bz2
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ktuberling/
%dir %_datadir/apps/ktuberling/sounds/
%dir %_datadir/apps/ktuberling/sounds/sl/
%doc %_datadir/apps/ktuberling/sounds/sl/*.wav
#

%dir %_docdir/HTML/sl/kcontrol/arts/
%doc %_docdir/HTML/sl/kcontrol/arts/common
%doc %_docdir/HTML/sl/kcontrol/arts/*.bz2
%doc %_docdir/HTML/sl/kcontrol/arts/*.docbook

%dir %_docdir/HTML/sl/kcontrol/bell/
%doc %_docdir/HTML/sl/kcontrol/bell/common
%doc %_docdir/HTML/sl/kcontrol/bell/*.bz2
%doc %_docdir/HTML/sl/kcontrol/bell/*.docbook

%dir %_docdir/HTML/sl/kcontrol/clock/
%doc %_docdir/HTML/sl/kcontrol/clock/common
%doc %_docdir/HTML/sl/kcontrol/clock/*.bz2
%doc %_docdir/HTML/sl/kcontrol/clock/*.docbook

%dir %_docdir/HTML/sl/kcontrol/cookies/
%doc %_docdir/HTML/sl/kcontrol/cookies/common
%doc %_docdir/HTML/sl/kcontrol/cookies/*.bz2
%doc %_docdir/HTML/sl/kcontrol/cookies/*.docbook

%dir %_docdir/HTML/sl/kcontrol/crypto/
%doc %_docdir/HTML/sl/kcontrol/crypto/common
%doc %_docdir/HTML/sl/kcontrol/crypto/*.bz2
%doc %_docdir/HTML/sl/kcontrol/crypto/*.docbook

%dir %_docdir/HTML/sl/kcontrol/ebrowsing/
%doc %_docdir/HTML/sl/kcontrol/ebrowsing/common
%doc %_docdir/HTML/sl/kcontrol/ebrowsing/*.bz2
%doc %_docdir/HTML/sl/kcontrol/ebrowsing/*.docbook

%dir %_docdir/HTML/sl/kcontrol/filetypes/
%doc %_docdir/HTML/sl/kcontrol/filetypes/common
%doc %_docdir/HTML/sl/kcontrol/filetypes/*.bz2
%doc %_docdir/HTML/sl/kcontrol/filetypes/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kalarmd/
%doc %_docdir/HTML/sl/kcontrol/kalarmd/common
%doc %_docdir/HTML/sl/kcontrol/kalarmd/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kalarmd/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kcmcss/
%doc %_docdir/HTML/sl/kcontrol/kcmcss/common
%doc %_docdir/HTML/sl/kcontrol/kcmcss/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kcmcss/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kcmlaunch/
%doc %_docdir/HTML/sl/kcontrol/kcmlaunch/common
%doc %_docdir/HTML/sl/kcontrol/kcmlaunch/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kcmlaunch/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kcmlowbatcrit/
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatcrit/common
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatcrit/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatcrit/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kcmlowbatwarn/
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatwarn/common
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatwarn/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kcmlowbatwarn/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kcmsmserver/
%doc %_docdir/HTML/sl/kcontrol/kcmsmserver/common
%doc %_docdir/HTML/sl/kcontrol/kcmsmserver/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kcmsmserver/*.docbook

%dir %_docdir/HTML/sl/kcontrol/keyboard/
%doc %_docdir/HTML/sl/kcontrol/keyboard/common
%doc %_docdir/HTML/sl/kcontrol/keyboard/*.bz2
%doc %_docdir/HTML/sl/kcontrol/keyboard/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kmixcfg/
%doc %_docdir/HTML/sl/kcontrol/kmixcfg/common
%doc %_docdir/HTML/sl/kcontrol/kmixcfg/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kmixcfg/*.docbook

%dir %_docdir/HTML/sl/kcontrol/kwindecoration/
%doc %_docdir/HTML/sl/kcontrol/kwindecoration/common
%doc %_docdir/HTML/sl/kcontrol/kwindecoration/*.bz2
%doc %_docdir/HTML/sl/kcontrol/kwindecoration/*.docbook

%dir %_docdir/HTML/sl/kcontrol/laptop/
%doc %_docdir/HTML/sl/kcontrol/laptop/common
%doc %_docdir/HTML/sl/kcontrol/laptop/*.bz2
%doc %_docdir/HTML/sl/kcontrol/laptop/*.docbook

%dir %_docdir/HTML/sl/kcontrol/powerctrl/
%doc %_docdir/HTML/sl/kcontrol/powerctrl/common
%doc %_docdir/HTML/sl/kcontrol/powerctrl/*.bz2
%doc %_docdir/HTML/sl/kcontrol/powerctrl/*.docbook

%dir %_docdir/HTML/sl/kcontrol/proxy/
%doc %_docdir/HTML/sl/kcontrol/proxy/*.docbook

%dir %_docdir/HTML/sl/kcontrol/smb/
%doc %_docdir/HTML/sl/kcontrol/smb/common
%doc %_docdir/HTML/sl/kcontrol/smb/*.bz2
%doc %_docdir/HTML/sl/kcontrol/smb/*.docbook

%dir %_docdir/HTML/sl/kcontrol/spellchecking/
%doc %_docdir/HTML/sl/kcontrol/spellchecking/common
%doc %_docdir/HTML/sl/kcontrol/spellchecking/*.bz2
%doc %_docdir/HTML/sl/kcontrol/spellchecking/*.docbook

%dir %_docdir/HTML/sl/kcontrol/windowmanagement/
%doc %_docdir/HTML/sl/kcontrol/windowmanagement/common
%doc %_docdir/HTML/sl/kcontrol/windowmanagement/*.bz2
%doc %_docdir/HTML/sl/kcontrol/windowmanagement/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/
%dir %_docdir/HTML/sl/kinfocenter/blockdevices/
%doc %_docdir/HTML/sl/kinfocenter/blockdevices/common
%doc %_docdir/HTML/sl/kinfocenter/blockdevices/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/blockdevices/*.docbook


%dir %_docdir/HTML/sl/kinfocenter/dma/
%doc %_docdir/HTML/sl/kinfocenter/dma/common
%doc %_docdir/HTML/sl/kinfocenter/dma/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/dma/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/partitions/
%doc %_docdir/HTML/sl/kinfocenter/partitions/common
%doc %_docdir/HTML/sl/kinfocenter/partitions/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/partitions/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/pci/
%doc %_docdir/HTML/sl/kinfocenter/pci/common
%doc %_docdir/HTML/sl/kinfocenter/pci/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/pci/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/pcmcia/
%doc %_docdir/HTML/sl/kinfocenter/pcmcia/common
%doc %_docdir/HTML/sl/kinfocenter/pcmcia/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/pcmcia/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/processor/
%doc %_docdir/HTML/sl/kinfocenter/processor/common
%doc %_docdir/HTML/sl/kinfocenter/processor/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/processor/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/protocols/
%doc %_docdir/HTML/sl/kinfocenter/protocols/common
%doc %_docdir/HTML/sl/kinfocenter/protocols/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/protocols/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/samba/
%doc %_docdir/HTML/sl/kinfocenter/samba/common
%doc %_docdir/HTML/sl/kinfocenter/samba/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/samba/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/scsi/
%doc %_docdir/HTML/sl/kinfocenter/scsi/common
%doc %_docdir/HTML/sl/kinfocenter/scsi/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/scsi/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/sound/
%doc %_docdir/HTML/sl/kinfocenter/sound/common
%doc %_docdir/HTML/sl/kinfocenter/sound/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/sound/*.docbook

%dir %_docdir/HTML/sl/kinfocenter/xserver/
%doc %_docdir/HTML/sl/kinfocenter/xserver/common
%doc %_docdir/HTML/sl/kinfocenter/xserver/*.bz2
%doc %_docdir/HTML/sl/kinfocenter/xserver/*.docbook

%dir %_docdir/HTML/sl/konqueror/
%doc %_docdir/HTML/sl/konqueror/*.png

%dir %_docdir/HTML/sl/konsole/
%doc %_docdir/HTML/sl/konsole/*.png

%dir %_datadir/apps/khangman/
%_datadir/apps/khangman/*.txt
%dir %_datadir/apps/khangman/data/
%dir %_datadir/apps/khangman/data/sl/
%_datadir/apps/khangman/data/sl/*.kvtml

%_datadir/apps/katepart/syntax/logohighlightstyle.sl.xml

%_datadir/apps/kturtle/data/logokeywords.sl.xml
%_datadir/apps/kturtle/examples/sl/*.logo

#
%dir %_datadir/locale/
%dir %_datadir/locale/sl/
%_datadir/locale/sl/charset
%_datadir/locale/sl/*.desktop
%_datadir/locale/sl/*.png
#
#
%dir %_datadir/locale/sl/LC_MESSAGES/
%_datadir/locale/sl/LC_MESSAGES/*.mo


%changelog
* Thu Jul 28 2005 Laurent MONTEL <lmontel@mandriva.com> 10mdk
- Fix provides kde-l10n

* Fri Jul 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-1mdk
- 3.4.2

* Tue May 31 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1

* Tue Mar 29 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Tue Mar 22 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-30mdk
- Update translate

* Thu Feb 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-20mdk
- update from translation

* Fri Feb  4 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-10mdk
- Update from CVS and add kpdf translate from CVS

* Tue Nov 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Wed Oct 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Update from CVS

* Thu Sep  2 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- KDE 3.3.0

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Sync with CVS

* Wed Jun  2 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Mon Apr 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Sat Apr 17 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.2.1-2mdk
- fix buildrequires
- fix obsoletes-not-provided
- spec cosmetics

* Fri Apr  2 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Thu Mar  4 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-4mdk
- Tarball was bad generated, it removed all kdevelop files

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-2mdk
- Sync with CVS

* Tue Feb  3 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.0-1mdk
- 3.2

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Mon Jan 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Mon Dec  8 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- 3.1.94

* Mon Nov  3 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- 3.1.93

* Wed Oct  8 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Thu Oct  2 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Thu Mar 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Tue Jan 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6 

* Tue Nov 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- kde3.1

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- fix group

* Mon Oct 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- fix group

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Wed Sep 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- requires

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Thu Jul 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Remove koffice message

* Thu Jul 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- Remove koffice message

* Mon Jul 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Mon May 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Sun Apr 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- update

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
-

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0beta1

* Wed Nov 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- kde 2.2.2

* Fri Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Tue Aug 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-2mdk
- remove koffice messages

* Tue Aug 07 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2-1mdk
- KDE 2.2

* Sun Jul 01 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1

* Sun Jun 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.alpha2.1mdk
- KDE 2.2.alpha2

* Wed Mar 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-2mdk
- Add Obsoletes tag to allow clean update

* Tue Mar 22 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1.1-1mdk
- KDE 2.1.1
